#!/bin/csh
# usage : d+r.csh directories rangeList
#
if ($#argv < 2) then
  echo echo usage : d+r.csh directories rangeList 1\>\&2 | /bin/sh ; exit 1
endif
#
foreach dir (`echo $argv | awk '{ for (f=1; f<NF; f++) print $f }'`)
  if (!(-d $dir)) then
    echo echo $dir : directory not found. 1\>\&2 | /bin/sh
  else
    ( si_bbs $dir - $argv[$#argv] | \
      awk 'NF==1 { printf "%s",$1; i=0 } \
           NF==3 { printf "\t%s",$0; if (++i==4) printf "\n" }' ; \
      si_of $dir - 1 1 1 ) | \
    awk -v dir=$dir 'NF==13 { BB[$1]=$0 } \
                     NF==11 && BB[$1]!="" { \
                       printf "%s\t%s\t%s\t%s\t%s\n",dir,BB[$1],$9,$10,$11 }'
  endif
end
