#!/bin/csh
# usage : diameters.csh directories rangeList
#
if ($#argv < 2) then
  echo echo usage : diameters.csh directories rangeList 1\>\&2 | /bin/sh
  exit 1
endif
#
foreach dir (`echo $argv | awk '{ for (f=1; f<NF; f++) print $f }'`)
  if (!(-d $dir)) then
    echo echo $dir : directory not found. 1\>\&2 | /bin/sh
  else
    si_bbs $dir - $argv[$#argv] | \
    awk -v dir=$dir 'NF==1 { printf "%s\t%s",dir,$1; i=0 } \
                     NF==3 { printf "\t%s",$0; if (++i==4) printf "\n" }'
  endif
end
