#!/bin/csh
# usage : r+d.csh directories
#
if ($#argv < 1) then
  echo echo usage : r+d.csh directories 1\>\&2 | /bin/sh ; exit 1
endif
#
foreach dir ($argv)
  if (!(-d $dir)) then
    echo echo $dir : directory not found. 1\>\&2 | /bin/sh
  else
    echo -n $dir
    si_of $dir - 1 1 1 | awk '$1==1 { printf "\t%s\t%s\t%s",$9,$10,$11 }'
    si_bbs $dir - 1 | awk 'NF==3 { printf "\t%s",$0 }'
    echo
  endif
end
